Subject: bug#47854: closed (Re: bug#47854: debbugs-gnu to not bugs tag as fixed when closing)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 Apr 2021 14:26:01 +0000

Your bug report

#47854: debbugs-gnu to not bugs tag as fixed when closing

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47854: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47854
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47854: debbugs-gnu to not bugs tag as fixed when closing
From: Michael Albinus <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Mon, 19 Apr 2021 16:25:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

>>> The "fixed" tag also includes a version it was supposed to be fixed
>>> in...  which seems slightly useful.
>>
>> The fixed tag has no association with the version number that can be
>> provided when closing a bug. Debbugs tags do not take arguments.
>> The version information is provided by a "Version" pseudoheader.
>
> Oh, sorry -- I was confused about where the version went:
>
>         ((equal message "close")
>          (format "close %d %s\n" bugid version))
>         ((equal message "done")
>          (format "tags %d fixed\nclose %d %s\n" bugid bugid version))
>
> Then I guess we can just make close/done synonyms of each other in
> debbugs-gnu.

Indeed, a "fixed" tag doesn't make sense at all. Instead, there is the
"fixed" attribute, which is set either explictly by the "fixed" command,
or implicitly by the "close" command.

I've changed this in debbugs-gnu.el, pushed to the repository. Shall
appear as debbugs 0.28.

Closing the bug.

Best regards, Michael.

Subject: debbugs-gnu to not bugs tag as fixed when closing
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 17 Apr 2021 20:14:22 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Severity: wishlist

I wish debbugs-gnu did not tag bugs as fixed when it closes them.
This is a misuse of the fixed tag, which should only be applied to open bugs.
The purpose of the fixed tag is:
   "This bug is fixed or worked around, but there's still an issue that
    needs to be resolved."

A closed bug can by default be assumed to be fixed, so tagging it fixed
is at best redundant, and most likely a nuisance, since if the bug is
later found to still occur you can't just reopen the report, you have to
remember to untag it as well.